# $Revision: 1.27 $, $Date: 2007/09/09 23:30:14 $
Summary:	Tools to manage multipathed devices with the device-mapper
Summary(pl.UTF-8):	Implementacja wielotrasowego dostępu do zasobów przy użyciu device-mappera
Name:		multipath-tools
Version:	0.4.8
Release:	0.1
License:	GPL v2
Group:		Base
Source0:	http://christophe.varoqui.free.fr/multipath-tools/%{name}-%{version}.tar.bz2
# Source0-md5:	3563b863b408d07c46929b6e8c2c248c
URL:		http://christophe.varoqui.free.fr/
Patch0:		%{name}-llh.patch
# was not used - is OPTIONS+="last_rule" stille needed?
#Patch1:		%{name}-udev.patch
BuildRequires:	device-mapper-devel >= 1.01.01
BuildRequires:	libaio-devel
BuildRequires:	linux-libc-headers >= 2.6.12.0-5
BuildRequires:	readline-devel
BuildRequires:	sysfsutils-devel >= 2.0.0
Conflicts:	udev < 1:070-4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
multipath-tools provides the tools to manage multipathed devices by
instructing the device-mapper multipath module what to do. The tools
are:
- multipath: scan the system for multipathed devices, assembles them
  and update the device-mapper's maps
- multipathd: wait for maps events, then execs multipath
- devmap-name: provides a meaningful device name to udev for devmaps
- kpartx: maps linear devmaps upon device partitions, which makes
  multipath maps partionable

%description -l pl.UTF-8
multipath-tools zawierają narzędzia do zarządzania wielotrasowym
dostępem do urządzeń poprzez instruowanie modułu multipath
device-mappera. Narzędzia to:
- multipath - przeszukuje system pod kątem urządzeń z dostępem
  wielotrasowym, łączy je i uaktualnia odwzorowania device-mappera
- multipathd - oczekuje na zdarzenia odwzorowań, po których uruchamia
  multipath
- devmap-name - dostarcza do udev znaczącą nazwę urządzenia dla map
  urządzeń
- kpartx - odwzorowuje liniowe mapy urządzeń na partycje urządzeń, co
  umożliwia tworzenie partycji na odwzorowaniach wielotrasowych

%prep
%setup -q
%patch0 -p1
mv kpartx/README README.kpartx

%build
%{__make} -j1 \
	OPTFLAGS="%{rpmcflags} -Wall -Wunused -Wstrict-prototypes" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D multipath.conf.annotated $RPM_BUILD_ROOT%{_sysconfdir}/multipath.conf
install -d $RPM_BUILD_ROOT/var/lib/multipath
mv $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/{,40-}multipath.rules
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/dev.d/block/multipath.dev

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHOR ChangeLog FAQ README* TODO
%attr(755,root,root) %{_sbindir}/devmap_name
%attr(755,root,root) %{_sbindir}/kpartx
%attr(755,root,root) %{_sbindir}/mpath_prio_alua
%attr(755,root,root) %{_sbindir}/mpath_prio_balance_units
%attr(755,root,root) %{_sbindir}/mpath_prio_emc
%attr(755,root,root) %{_sbindir}/mpath_prio_hds_modular
%attr(755,root,root) %{_sbindir}/mpath_prio_hp_sw
%attr(755,root,root) %{_sbindir}/mpath_prio_netapp
%attr(755,root,root) %{_sbindir}/mpath_prio_random
%attr(755,root,root) %{_sbindir}/mpath_prio_rdac
%attr(755,root,root) %{_sbindir}/multipath
%attr(755,root,root) %{_sbindir}/multipathd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/multipath.conf
%{_sysconfdir}/udev/rules.d/40-multipath.rules
%{_sysconfdir}/udev/rules.d/kpartx.rules
%attr(755,root,root) /lib/udev/kpartx_id
%dir /var/lib/multipath
%{_mandir}/man5/multipath.conf.5*
%{_mandir}/man8/devmap_name.8*
%{_mandir}/man8/kpartx.8*
%{_mandir}/man8/mpath_prio_alua.8*
%{_mandir}/man8/multipath.8*
%{_mandir}/man8/multipathd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: multipath-tools.spec,v $
Revision 1.27  2007/09/09 23:30:14  qboosh
- updated to 0.4.8
- removed obsolete optflags patch, dropped unneeded selinux patch

Revision 1.26  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.24  2006/08/19 20:58:17  qboosh
- removed never used initrd part

Revision 1.23  2006/08/19 20:57:02  qboosh
- updated optflags patch is back; udev patch not used - is it still needed?

Revision 1.22  2006/07/30 19:44:08  glen
- no reason to keep multipathd separately in /usr/sbin
- verbose files back!
- bashism.patch looks outdated, optflags patch needs update!

Revision 1.21  2006/07/29 18:20:07  aredridel
- 0.4.7

Revision 1.20  2006/02/25 18:00:57  qboosh
- real pl desc, note about patch for libsysfs2 API

Revision 1.19  2006/02/25 01:01:08  aredridel
- incompatible with new sysfsutils

Revision 1.18  2005/10/17 09:19:50  glen
- don't enforce udev, leave room for static dev

Revision 1.17  2005/10/16 00:38:00  glen
- GPL v2

Revision 1.16  2005/10/16 00:30:50  glen
- apply patch3

Revision 1.15  2005/10/16 00:30:16  glen
- possible __kernel_old_dev_t typedef fix for alpha

Revision 1.14  2005/10/16 00:15:12  glen
- force llh for alpha builder

Revision 1.13  2005/10/15 23:58:04  glen
- udev rules file fix

Revision 1.12  2005/10/15 23:36:21  glen
- up dm req (from homepage)
- apply optflags

Revision 1.11  2005/10/15 23:34:33  glen
- optflags patch

Revision 1.10  2005/10/15 23:24:47  glen
- added docs

Revision 1.9  2005/10/15 23:22:11  glen
- multipathd to /usr/sbin

Revision 1.8  2005/10/15 23:19:14  glen
- BR device-mapper

Revision 1.7  2005/10/15 23:15:36  glen
- udev.d obsolete
- sortnr to .rules

Revision 1.6  2005/10/15 23:07:05  glen
- BR: readline-devle

Revision 1.5  2005/10/15 22:48:22  glen
- bash fix, pass CC

Revision 1.4  2005/10/15 22:45:09  glen
- update summary/description from sources
- resolve udev conflict

Revision 1.3  2005/10/15 22:28:25  glen
- 0.4.5; completed %files

Revision 1.2  2004/12/25 16:51:49  qboosh
- pl, removed template changelog

Revision 1.1  2004/12/24 21:55:48  arekm
- raw
